> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Discard Agent Draft

> Discard the agent's draft.



## OpenAPI

````yaml /openapi-v1.json delete /api/v1/agents/{agent_id}/draft
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/agents/{agent_id}/draft:
    delete:
      tags:
        - Agents
      summary: Discard Agent Draft
      description: Discard the agent's draft.
      operationId: core_api_v1_controllers_agents_discard_agent_draft
      parameters:
        - in: path
          name: agent_id
          schema:
            title: Agent Id
            type: string
          required: true
        - in: query
          name: version
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Version
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DeletedOut:
      description: Standard response for delete operations.
      properties:
        object:
          default: deleted
          title: Object
          type: string
        id:
          title: Id
          type: string
        deleted:
          default: true
          title: Deleted
          type: boolean
      required:
        - id
      title: DeletedOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.